// Skybox

textures/ut_harambique/desnoon
{
	qer_editorimage textures/ut_harambique/desert_view
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 100
	surfaceparm sky
	q3map_sun 1.00 0.949 0.977 150 340 70
	skyparms textures/ut_harambique/env/desnoon - -
}

textures/ut_harambique/water_flow
{				
	qer_trans .5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	tessSize 128
	nopicmip
	surfaceparm	fog
	fogparms ( .300 .150 .050 ) 256
	deformVertexes wave 80 triangle 0 4 1 .5
	{
		map textures/ut_harambique/water_flow.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		tcmod scroll 0 -1.5
	}
	{
		map textures/ut_harambique/water_flow-dirty.tga
		rgbgen identity
		tcmod scroll .1 -1.5
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut_harambique/fountain
{
	qer_editorimage textures/wetwired/fs_rain2.tga
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .5
	cull none

	{
		map textures/ut_harambique/rain2.tga
		tcMod Scroll .01 -3.1
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/ut_harambique/rain.tga
		tcMod Scroll .5 -4
		tcMod turb .1 .25 0 -.1
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut_harambique/fountain_flow
{
	qer_editorimage textures/ut_harambique/water_move1.tga
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .5
	cull none

	{
		map textures/ut_harambique/water_move1.tga
		tcMod Scroll .5 -.5
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/ut_harambique/water_move2.tga
		tcMod Scroll .01 -1
		tcMod turb .1 .25 0 -.1
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/ut_harambique/water_move3.tga
		tcMod Scroll .25 -.75
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut_harambique/grate_blue
{
	surfaceparm trans
    surfaceparm nomarks	
    surfaceparm nonsolid
    surfaceparm playerclip
    surfaceparm noimpact
	cull none
	nopicmip
	qer_trans 	0.5

	{
		map textures/ut_harambique/grate_blue.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_harambique/balcony_columns
{
	surfaceparm trans
    surfaceparm nomarks	
    surfaceparm nonsolid
    surfaceparm playerclip
    surfaceparm noimpact
	cull none
	nopicmip
	qer_trans 	0.5

	{
		map textures/ut_harambique/balcony_columns.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_harambique/glass_green-tint
{
	qer_editorimage textures/ut_harambique/tinfx-gr.tga
	surfaceparm trans	
	cull none
	qer_trans 	0.5

	{
		map textures/ut_harambique/tinfx-gr.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/ut_harambique/growth
{
	surfaceparm trans
    surfaceparm nomarks	
    surfaceparm nonsolid
    surfaceparm playerclip
    surfaceparm noimpact
	cull none
	nopicmip

	{
		map textures/ut_harambique/growth.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_harambique/grate_netting
{
	surfaceparm trans
    surfaceparm nomarks	
    surfaceparm nonsolid
    surfaceparm playerclip
    surfaceparm noimpact
	cull none
	nopicmip
	qer_trans 	0.5

	{
		map textures/ut_harambique/grate_netting.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_harambique/dock_wood
{
	surfaceparm trans
	cull none
	nopicmip
	qer_trans 	0.8

	{
		map textures/ut_harambique/dock_wood.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_harambique/dock_wood-end
{
	surfaceparm trans
	cull none
	nopicmip
	qer_trans 	0.8

	{
		map textures/ut_harambique/dock_wood-end.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_harambique/corona_orange
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/ut_harambique/corona_orange.tga
            blendFunc GL_ONE GL_ONE
          }
}

textures/ut_harambique/trees1
{
	surfaceparm trans
    surfaceparm nomarks	
    surfaceparm nonsolid
    surfaceparm playerclip
    surfaceparm noimpact
//	surfaceparm nolightmap
//	nopicmip
    cull none
	qer_trans 	0.75

	{
		map textures/ut_harambique/trees1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
 	{
 		map $lightmap
 		rgbGen identity
 		blendFunc GL_DST_COLOR GL_ZERO
 		depthFunc equal
 	}
}

textures/ut_harambique/trees2
{
	surfaceparm trans
    surfaceparm nomarks	
    surfaceparm nonsolid
    surfaceparm playerclip
    surfaceparm noimpact
//	surfaceparm nolightmap
//	nopicmip
    cull none
	qer_trans 	0.75

	{
		map textures/ut_harambique/trees2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
 	{
 		map $lightmap
 		rgbGen identity
 		blendFunc GL_DST_COLOR GL_ZERO
 		depthFunc equal
 	}
}

textures/ut_harambique/trees3
{
	surfaceparm trans
    surfaceparm nomarks	
    surfaceparm nonsolid
    surfaceparm playerclip
    surfaceparm noimpact
    surfaceparm nolightmap
	nopicmip
    cull none
	qer_trans 	0.75

	{
		map textures/ut_harambique/trees3.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
// 	{
// 		map $lightmap
// 		rgbGen identity
// 		blendFunc GL_DST_COLOR GL_ZERO
// 		depthFunc equal
// 	}
}

textures/ut_harambique/drain
{
	surfaceparm trans
    surfaceparm nomarks	
    surfaceparm nonsolid
    surfaceparm playerclip
    surfaceparm noimpact
	cull none
	nopicmip
	qer_trans 	0.5

	{
		map textures/ut_harambique/drain.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_harambique/cloth_tan-pattern
{
    surfaceparm nonsolid
    surfaceparm playerclip
    surfaceparm noimpact
    cull none
	{
		map textures/ut_harambique/cloth_tan-pattern.tga
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_harambique/grate_river-bbq
{
	qer_editorimage textures/ut_harambique/grate_river-bbq.tga
	qer_trans 0.40
	cull disable
    surfaceparm nomarks	
    surfaceparm nonsolid
    surfaceparm playerclip
    surfaceparm noimpact
	{
		map textures/ut_harambique/grate_river-bbq.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_harambique/light_grating
{
	surfaceparm nomarks
	surfaceparm nonsolid
	qer_editorimage textures/ut_harambique/light_grating.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_harambique/light_grating.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut_harambique/light_grating-blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut_harambique/bench
{
	qer_editorimage textures/ut_harambique/bench.tga
	qer_trans 0.40
	cull disable
	{
		map textures/ut_harambique/bench.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_harambique/flies
{
	qer_editorimage textures/ut_harambique/flies.tga
	surfaceparm trans
    surfaceparm nomarks	
    surfaceparm nonsolid
    surfaceparm noimpact
    surfaceparm nolightmap
	nopicmip
    cull none
	qer_trans 	0.75
	DeformVertexes autosprite
	
	{
		map textures/ut_harambique/flies.tga
		alphaFunc GE128
		tcMod rotate 360
		tcMod turb .1 .25 0 5
	}
}

textures/ut_harambique/wheel_wagon
{
	qer_editorimage textures/ut_harambique/wheel_wagon.tga
	qer_trans 0.60
//	cull disable
	{
		map textures/ut_harambique/wheel_wagon.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_harambique/flame
{
	qer_editorimage textures/ut_harambique/flame.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none

	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

textures/ut_harambique/fan_3-blade
{
	surfaceparm trans	
	surfaceparm nomarks	
	cull none
	nopicmip
	qer_editorimage textures/ut_harambique/fan_3-blade.tga

	{
		clampmap textures/ut_harambique/fan_3-blade.tga
		tcMod rotate 256 
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_harambique/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/ut_harambique/watercaulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}

textures/ut_harambique/watercaulk_fog
{
	qer_trans 0.40
	qer_editorimage textures/ut_harambique/watercaulk_fog.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
	surfaceparm	fog
	fogparms ( .300 .150 .050 ) 256
}

textures/ut_harambique/flame_bounce_1
{
	qer_editorimage textures/ut_harambique/flame_bounce.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move 0.924430 0.685426 26.822762 sawtooth 0 1 0.134037 1.000000
	{
		clampmap textures/ut_harambique/flame_bounce.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 0.134037 1.000000
		rgbGen wave sawtooth 1.000000 -1.000000 0.134037 1.000000
		tcMod stretch sawtooth 0.500000 0.500000 0.134037 1.000000
		blendfunc add
	}
}

textures/ut_harambique/flame_bounce_2
{
	qer_editorimage textures/ut_harambique/flame_bounce.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -3.705168 1.954794 30.767540 sawtooth 0 1 1.972350 1.000000
	{
		clampmap textures/ut_harambique/flame_bounce.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 1.972350 1.000000
		rgbGen wave sawtooth 1.000000 -1.000000 1.972350 1.000000
		tcMod stretch sawtooth 0.500000 0.500000 1.972350 1.000000
		blendfunc add
	}
}

textures/ut_harambique/flame_bounce_3
{
	qer_editorimage textures/ut_harambique/flame_bounce.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -11.168854 1.342272 32.032078 sawtooth 0 1 0.045595 1.000000
	{
		clampmap textures/ut_harambique/flame_bounce.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 0.045595 1.000000
		rgbGen wave sawtooth 1.000000 -1.000000 0.045595 1.000000
		tcMod stretch sawtooth 0.500000 0.500000 0.045595 1.000000
		blendfunc add
	}
}

textures/ut_harambique/flame_bounce_4
{
	qer_editorimage textures/ut_harambique/flame_bounce.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -3.563911 -0.722614 31.911339 sawtooth 0 1 0.133366 1.000000
	{
		clampmap textures/ut_harambique/flame_bounce.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 0.133366 1.000000
		rgbGen wave sawtooth 1.000000 -1.000000 0.133366 1.000000
		tcMod stretch sawtooth 0.500000 0.500000 0.133366 1.000000
		blendfunc add
	}
}

textures/ut_harambique/flame_bounce_5
{
	qer_editorimage textures/ut_harambique/flame_bounce.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -3.213911 3.231058 28.008690 sawtooth 0 1 0.746300 1.000000
	{
		clampmap textures/ut_harambique/flame_bounce.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 0.746300 1.000000
		rgbGen wave sawtooth 1.000000 -1.000000 0.746300 1.000000
		tcMod stretch sawtooth 0.500000 0.500000 0.746300 1.000000
		blendfunc add
	}
}

textures/ut_harambique/flame_bounce_6
{
	qer_editorimage textures/ut_harambique/flame_bounce.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move 0.585745 3.089933 33.369202 sawtooth 0 1 1.648610 1.000000
	{
		clampmap textures/ut_harambique/flame_bounce.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 1.648610 1.000000
		rgbGen wave sawtooth 1.000000 -1.000000 1.648610 1.000000
		tcMod stretch sawtooth 0.500000 0.500000 1.648610 1.000000
		blendfunc add
	}
}

textures/ut_harambique/flame_bounce_7
{
	qer_editorimage textures/ut_harambique/flame_bounce.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -4.290425 -7.354770 26.323200 sawtooth 0 1 0.367138 1.000000
	{
		clampmap textures/ut_harambique/flame_bounce.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 0.367138 1.000000
		rgbGen wave sawtooth 1.000000 -1.000000 0.367138 1.000000
		tcMod stretch sawtooth 0.500000 0.500000 0.367138 1.000000
		blendfunc add
	}
}

textures/ut_harambique/coke_top
{
	surfaceparm trans
    surfaceparm nomarks	
    surfaceparm nonsolid
    surfaceparm playerclip
//	surfaceparm noimpact
	nopicmip
	qer_trans 	0.50

	{
		map textures/ut_harambique/coke_top.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
 	{
 		map $lightmap
 		rgbGen identity
 		blendFunc GL_DST_COLOR GL_ZERO
 		depthFunc equal
 	}
}
